Subject: Re: [bitcoin-dev] Bitcoin Core and hard forks

From: "cipher anthem" <[email-masked]>
Date: Thu, 23 Jul 2015 18:50:45 +0200

Why not help on a project that actually seems to offer great scalability like the lightning network? There have been great progress there.

Seems like you did your calculations some time ago to prove that your increase is reasonable, yet when others come with different numbers that don't support your position you say it doesn't matter.

Sent: Thursday, July 23, 2015 at 4:28 PM
From: "Gavin Andresen via bitcoin-dev" <[email-masked]>
To: "Tom Harding" <[email-masked]>
Cc: [email-masked]
Subject: Re: [bitcoin-dev] Bitcoin Core and hard forks

On Thu, Jul 23, 2015 at 12:17 PM, Tom Harding via bitcoin-dev <[email-masked]> wrote:
On 7/23/2015 5:17 AM, Jorge Timón via bitcoin-dev wrote:
> they will simply advance the front and start another battle, because
> their true hidden faction is the "not ever side". Please, Jeff, Gavin,
> Mike, show me that I'm wrong on this point. Please, answer my question
> this time. If "not now", then when?

Bitcoin has all the hash power.  The merkle root has effectively
infinite capacity.  We should be asking HOW to scale the supporting
information propagation system appropriately, not WHEN to limit the
capacity of the primary time-stamping machine.

We haven't tried yet.  I can't answer for the people you asked, but
personally I haven't thought much about when we should declare failure.

Yes! Lets plan for success!

I'd really like to move from "IMPOSSIBLE because...  (electrum hasn't been optimized

(by the way: you should run on SSDs, LevelDB isn't designed for spinning disks),

what if the network is attacked?  (attacked HOW???), current p2p network is using

the simplest, stupidest possible block propagation algorithm...)"

... to "lets work together and work through the problems and scale it up."

I'm frankly tired of all the negativity here; so tired of it I've decided to mostly ignore

all the debate for a while, not respond to misinformation I see being spread

(like "miners have some incentive to create slow-to-propagate blocks"),

work with people like Tom and Mike who have a 'lets get it done' attitude, and

focus on what it will take to scale up.

--
--
Gavin Andresen

_______________________________________________ bitcoin-dev mailing list [email-masked] https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev